DOVEADM-WHO(1)

NAME
doveadm-who - Show who is logged into the Dovecot server

SYNOPSIS

doveadm [GLOBAL OPTIONS] who [-1] [-f passdb_field] [-a anvil_socket_path] [user_mask] [ip [/ bits]]

DESCRIPTION

The who command is used to show which users from which hosts are currently connected to which service.

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-f formatter

        Specifies the formatter for formatting the output. Supported formatters are:

        flow

            prints each line with key=value pairs.

json

    prints a JSON array of JSON objects.

pager

    prints each key: value pair on its own line and separates records with form feed character (^L).

tab

    prints a table header followed by tab separated value lines.

table

    prints a table header followed by adjusted value lines.

This command uses by default the output formatter table.

OPTIONS

-1

        Print one line per user and connection. Otherwise the connections are grouped by the username.

-a anvil_socket_path

        This option is used to specify an alternative socket. The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

        By default doveadm(1) will use the socket /rundir/anvil. The socket may be located in another directory, when the default base_dir setting was overridden in /etc/dovecot/dovecot.conf.

-f passdb_field

        Alternative username field to use for querying, as returned by passdb. Only the passdb fields beginning with the user_ prefix are tracked.

ARGUMENTS

ip [/ bits]

        Specify an ip address or network range, in CIDR notation, to reduce the result to matching connections.

user_mask

        List only users whose login name matches the user_mask, or the alternative username (user_* field) if the -f parameter is used. It's also possible to use wildcards in the user name.

EXAMPLE

Show authenticated sessions, filtered by the client's IP address:

    doveadm who ::1

    username                       # proto (pids)        (ips)
    jane                           2 imap  (30155 30412) (::1)
    $ doveadm who 192.0.2.0/24
    username                        # proto (pids)  (ips)
    john@example.com                1 imap  (30257) (192.0.2.34)

Show authenticated sessions, filtered by username:

    doveadm who pvo

    username         # proto (pids)                    (ips)
    pvo              1 sieve (30343)                   (fd95:4eed:38ba::25)
    pvo              4 imap  (25693 25686 25679 25669) (fd95:4eed:38ba::25)
    $ doveadm who ja\*
    username                    # proto (pids)        (ips)
    james                       1 imap  (30091)       (127.0.0.1)
    jane                        2 imap  (30155 30412) (::1)

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1)